package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;

public class AndroidRecipeDetailDTO implements Serializable {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("启用日期")
   private LocalDate applyDate;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

}
